import React from 'react'

import Artwork from './Artwork'
import data from '../data/obras.json'

import Julieta from './models/obras/Julieta'
import Santiaga from './models/obras/Santiaga'
import Carolina from './models/obras/Carolina'
import Julian from './models/obras/Julian'
import Mateo from './models/obras/Mateo'
import Gaston from './models/obras/Gaston'
// import Daniela from './models/obras/Daniela'
// import Pedro from './models/obras/Pedro'
// import DiegoGuido from './models/obras/DiegoGuido'

const models: (JSX.Element | null)[] = [
  null, // <Daniela />,
  null, // Juan cruz
  null, // Lucia cordoba
  null, // Camila
  <Julieta />,
  null, // Lucia Novello
  <Santiaga />,
  <Carolina />,
  null, // Edu
  <Julian />,
  <Mateo />,
  <Gaston />,
  null, //<Pedro />,
  null, //<DiegoGuido />,
]

function ArtworkCollection(props: JSX.IntrinsicElements['group']) {
  return (
    <group {...props}>
      {data.map((obra, index) => {
        const model = models[index]
        let rotation = Math.PI / 8 + (index * Math.PI) / 8
        if (index > 6) rotation += Math.PI / 8
        return (
          <Artwork
            model={model}
            key={obra.obra_url}
            rotation={[0, rotation, 0]}
            position={[0, 0, -37.8632]}
            obraData={obra}
          />
        )
      })}
    </group>
  )
}

export default ArtworkCollection
