/*
Auto-generated by: https://github.com/pmndrs/gltfjsx
*/

import * as THREE from 'three'
import React, { useRef } from 'react'
import { useGLTF } from '@react-three/drei/useGLTF'

import { GLTF } from 'three/examples/jsm/loaders/GLTFLoader'

type GLTFResult = GLTF & {
  nodes: {
    Cube013: THREE.Mesh
    ['Cube.013_1']: THREE.Mesh
    ['Cube.013_2']: THREE.Mesh
  }
  materials: {
    ['VrHeadset cuerpo.002']: THREE.MeshStandardMaterial
    ['light.001']: THREE.MeshStandardMaterial
    ['projection.001']: THREE.MeshStandardMaterial
  }
}

export default function Model(props: JSX.IntrinsicElements['group']) {
  const group = useRef<THREE.Group>()
  const { nodes, materials } = useGLTF('/model/obras/proyector.glb') as GLTFResult
  return (
    <group ref={group} {...props} dispose={null}>
      <group position={[-55.28, 2.67, 85.99]} rotation={[0, Math.PI / 2, 0]}>
        <mesh
          material={materials['VrHeadset cuerpo.002']}
          geometry={nodes.Cube013.geometry}
        />
        <mesh material={materials['light.001']} geometry={nodes['Cube.013_1'].geometry} />
        <mesh
          material={materials['projection.001']}
          geometry={nodes['Cube.013_2'].geometry}
        />
      </group>
    </group>
  )
}

useGLTF.preload('/model/obras/proyector.glb')
